︠4b13cbbc-45c0-4524-bf37-6a2694c7e55e︠
# Part A:
#(a) Finding the limit of the functiom below
limit(sin(1/x-2)/(x-2),x=2)
︡4b604b2b-b42b-4ee6-9990-fb22bb1cd7e3︡{"stdout":"Infinity"}︡{"stdout":"\n"}︡{"done":true}
︠9f98ccaf-1f9b-4bb1-afc0-9bd63271cb8b︠
#(b) Ploting the function below over the intervals of 1.5,2.5
plot(sin(1/x-2)/(x-2),x,1.5,2.5,ymin=-1,ymax=1)
︡9999baaa-9c6c-49d2-91b4-e64941375ce4︡{"file":{"filename":"/tmp/tmpw2enkytj/tmp_g8gyniaf.svg","show":true,"text":null,"uuid":"6e157eac-8983-45f2-9066-8608f92ac4c6"},"once":false}︡{"done":true}
︠b385fa90-96ca-437e-925f-10a0eac50d29︠
#(c) Ploting the function below over the intervals of 1.95,2.05
plot(sin(1/x-2)/(x-2),x,1.95,2.05,ymin=-1,ymax=1)
︡043b3d11-b1b8-4e1c-8234-7eb9681605bf︡{"file":{"filename":"/tmp/tmpw2enkytj/tmp_ahia6k4c.svg","show":true,"text":null,"uuid":"3363e08a-e890-4453-aead-70c880d3a94d"},"once":false}︡{"done":true}
︠73551e0b-ebbd-4ebc-a543-73384afab0bc︠
#(d)Yes, the above function dose exist and my answer agrees with (a)

#Part B: Plotting (sin(2x)/x and (-cos(x)+3)
plot(sin(2*x)/x, x, -1.5, 1.5) + plot(-cos(x) + 3, x, -1.5, 1.5)

︡c11cbdc9-c2a1-4994-89c9-5a767fe03707︡{"file":{"filename":"/tmp/tmpx07he7nm/tmp_dutifvux.svg","show":true,"text":null,"uuid":"af36beef-f8be-4c0e-b0ab-982fc975119b"},"once":false}︡{"done":true}
︠76cab291-2a9d-425c-acce-3b006bc37f94︠
# sin(2x)/x <f(x)< -cos(x)+3 Finding limit of f(x) when x approching to 0
from sympy import limit, sin, cos, symbols

x = symbols('x')
f = (sin(2*x)/x) - cos(x) + 3

limit(f, x, 0)
︡6f1c09d8-974e-42da-bfea-cbaec2d2aad4︡{"stdout":"4\n"}︡{"done":true}
︠fd36d0de-7952-479d-a6b6-800005ac5d0c︠

#Part C:
#(a) Find the equation of the tangent line to the graph of f(x)=x^3+2x+1 at point (1,4)
x = var('x')
f(x) = x^3 + 2*x + 1
point = (1, 4)
derivative = f.derivative(x)
slope = derivative.subs(x=point[0])
equation = slope * (x - point[0]) + point[1]
equation
︡271ff1a3-e02d-4406-aacf-ef99f9ea2a35︡{"stdout":"x |--> 5*x - 1\n"}︡{"done":true}
︠31ced727-2971-45ba-b97f-6a4ab5c7758b︠
#(b)plottinf f(x)=x63+2x+1 with tangent line to the graph at point (1,4)
import numpy as np
import matplotlib.pyplot as plt

def f(x):
    return x**3 + 2*x + 1

def tangent_line(x):
    return 4 + 9*(x-1)

x = np.linspace(-5, 5, 100)
y = f(x)
tangent = tangent_line(x)

plt.plot(x, y, label="f(x) = x^3 + 2x + 1")
plt.plot(x, tangent, label="Tangent line at (1, 4)")
plt.scatter(1, 4, color='red', label="Point (1, 4)")
plt.legend()
plt.xlabel("x")
plt.ylabel("y")
plt.title("Plot of f(x) and Tangent Line")
plt.grid(True)
plt.show()
︡3cac2c44-c1c9-47cb-bbe5-a3713c0142b7︡{"stdout":"[<matplotlib.lines.Line2D object at 0x7f4dc03cd190>]\n"}︡{"stdout":"[<matplotlib.lines.Line2D object at 0x7f4db820f310>]\n"}︡{"stdout":"<matplotlib.collections.PathCollection object at 0x7f4dc040dc10>\n"}︡{"stdout":"<matplotlib.legend.Legend object at 0x7f4db81fed50>\n"}︡{"stdout":"Text(0.5, 0, 'x')\n"}︡{"stdout":"Text(0, 0.5, 'y')\n"}︡{"stdout":"Text(0.5, 1.0, 'Plot of f(x) and Tangent Line')\n"}︡{"file":{"filename":"1ed17066-ef2b-454c-b329-a05968eb6c4d.svg","show":true,"text":null,"uuid":"bbb7a9a3-c7f0-4b8b-b5a0-eb41e982ca94"},"once":false}︡{"done":true}
︠86513247-4f9f-4d4b-9535-b4f89ef0cbd1︠
#Part D: (a) Plotting the graph of 1/x^2-4 over the interval [-3.5,3.5]
︡acf766d6-54e2-4340-93b0-2e153ea2cbb2︡
︠868ff353-6748-4d21-b2a9-72b7f6eb2679s︠
import numpy as np
import matplotlib.pyplot as plt

x = np.linspace(-3.5, 3.5, 100)  # Create an array of x values
y = 1/(x**2 - 4)  # Compute the corresponding y values

plt.figure(figsize=(6, 6))  # Set the figure size 6x6 inches
plt.plot(x, y, 'b-', label='f(x) = 1/(x^2 - 4)')
plt.axvline(x=-2, color='r', linestyle='--')  # Vertical asymptote x = -2
plt.axvline(x=2, color='r', linestyle='--')  # Vertical asymptote x = 2
plt.ylim(-15, 15)  # Set the y-axis limits
plt.xlabel('x')
plt.ylabel('f(x)')
plt.title('Graph of f(x) = 1/(x^2 - 4)')
plt.legend()
plt.grid(True)
plt.show()
︡4d16ca62-2cba-4a0b-8582-884fa3e143fc︡{"file":{"filename":"/tmp/tmpx07he7nm/tmp_b6_4cv9b.svg","show":true,"text":null,"uuid":"b0be67d4-1e09-4059-b478-695e3c765bd0"},"once":false}︡{"stdout":"[<matplotlib.lines.Line2D object at 0x7f4db8037810>]\n"}︡{"stdout":"<matplotlib.lines.Line2D object at 0x7f4dc034a210>\n"}︡{"stdout":"<matplotlib.lines.Line2D object at 0x7f4db806f350>\n"}︡{"stdout":"(-15.0, 15.0)\n"}︡{"stdout":"Text(0.5, 0, 'x')\n"}︡{"stdout":"Text(0, 0.5, 'f(x)')\n"}︡{"stdout":"Text(0.5, 1.0, 'Graph of f(x) = 1/(x^2 - 4)')\n"}︡{"stdout":"<matplotlib.legend.Legend object at 0x7f4db81e5290>\n"}︡{"file":{"filename":"fb7893bd-b734-46b1-86e5-6e127c06a371.svg","show":true,"text":null,"uuid":"5ae9e9a3-f84b-4fc8-95c4-81f1e5675be8"},"once":false}︡{"done":true}
︠213299f5-a2ed-4229-a213-86f62e9b1606︠
#(b)Find fifth derivative of the function.
import sympy as sp

x = sp.symbols('x')
f = sp.diff(1 / (x**2 - 4), x, 5)

sp.pprint(f)
︡1cc7ce94-e601-41c5-841c-d38dd3f39dc2︡{"stdout":"-3840*x^5/(x^2 - 4)^6 + 3840*x^3/(x^2 - 4)^5 - 720*x/(x^2 - 4)^4\n"}︡{"done":true}









